RPGWatch Forums

RPGWatch Forums (http://www.rpgwatch.com/forums/index.php)
-   The Precursors (http://www.rpgwatch.com/forums/forumdisplay.php?f=45)
-   -   Unofficial Patch 1.6 is out! (http://www.rpgwatch.com/forums/showthread.php?t=17601)

Wesp5 July 17th, 2012 18:45

Unofficial Patch 1.6 is out!
 
Okay, because of my Bloodlines work I haven't got too much time for this, but still there were some fixes done in the meantime that should be available to everyone out there still playing this underated game. You can find the latest patch here:

http://www.patches-scrolls.de/precursors.php#tp16

v1.6 12.07.2012
——
Fixed mission-order issues for Doctor Amon and intelligence officer.
Continued improving translation, names and similar inconsistencies.
Restored missing title for Doctor Amon's weapons experiment mission.

radament79 July 23rd, 2012 18:49

Thanks !
So basically the correct installation to play Precursors might be this?
1) GG Version Install
2) Sound fix 1 & 2 from GG
3) Unofficial Patch 1.6

am i wrong?

Wesp5 July 25th, 2012 09:52

Quote:

Originally Posted by radament79 (Post 1061154179)
am i wrong?

No, it should work like that.

Paul August 12th, 2012 16:25

Ok I installed Gamersgate version, then put those two language files they provide to packages folder (1.26GB or so). Then I installed this patch 1.6.
The game seems to work ok.

I am just wondering, is this truly the correct way to install it, or should have I installed also patch 1.1, the russian dvd official one ? Or does 1.6 include everything and I do not have to worry?

MysterD August 23rd, 2012 01:08

I'm curious about the questions asked in the above post, as well…since I might buy Precursors soon from GG…

DONKEYARSE August 23rd, 2012 04:06

thanks for your work wesp!

Wesp5 August 23rd, 2012 14:12

Quote:

Originally Posted by Paul (Post 1061156698)
Or does 1.6 include everything and I do not have to worry?

The UP 1.6 includes all 1.1 game fixes but nothing engine related. To get this, you need to install the 1.1 patch which might bringt Starforce along. It's your choice…

MysterD August 23rd, 2012 23:44

Quote:

Originally Posted by Wesp5 (Post 1061158231)
The UP 1.6 includes all 1.1 game fixes but nothing engine related. To get this, you need to install the 1.1 patch which might bringt Starforce along. It's your choice…

Was there any like major graphical additional features or optimizations in the Engine in 1.1?

Of course, since the game's older - would it even matter much w/ my PC?
Probably not too much, eh?
I have Intel i950; 1 GB of GeForce GTX 560 Ti; 8 GB RAM; Win 7.

I could probably do - like I do w/ most games - a lot of additional graphical forcing on things through the NVidia Control Panel.

BTW - Ewwwwwwwwww @ StarForce. Is the Internet style StarForce as bad as the disc-check? The disc-check version in the old days was TERRIBLE.

badmofo August 24th, 2012 00:41

The 1.1 patch supposedly introduced a fix for the crappy mouse acceleration, but with a fancy CPU like that I don't think you'll have a problem. It was frame-rate related I seem to recall, and this engine is quite CPU bound.

Are you sitting down? - it IS the disk check version! And yes it's still terrible.

MysterD August 24th, 2012 01:11

Quote:

Originally Posted by badmofo (Post 1061158349)
The 1.1 patch supposedly introduced a fix for the crappy mouse acceleration, but with a fancy CPU like that I don't think you'll have a problem. It was frame-rate related I seem to recall, and this engine is quite CPU bound.

Good to know, thanks.

Quote:

Are you sitting down? - it IS the disk check version! And yes it's still terrible.
Does the GG versions ship w/ StarForce?
Or any sort of DRM?
If yes - is there activation limits or anything?
How does StarForce do Internet DRM?

Or does (Russian) Patch 1.1 introduce StarForce?
Wait - so, the game actually LOOKS for a disc to measure and spin the crap out of your disc-drive, when there isn't even anything there? [eyebrow raised]

Wesp5 August 24th, 2012 09:24

Quote:

Originally Posted by MysterD (Post 1061158353)
Or does (Russian) Patch 1.1 introduce StarForce?

That's the problem, but indeed with your PC specs, I don't think you'll need it. All actual game fixes and much more are included in the Unofficial Patch anyway…

MysterD August 25th, 2012 01:29

Quote:

Originally Posted by Wesp5 (Post 1061158389)
That's the problem, but indeed with your PC specs, I don't think you'll need it. All actual game fixes and much more are included in the Unofficial Patch anyway…

So, does GG's version (without using Russian Patch 1.1) actually come w/ any DRM?

MysterD August 25th, 2012 19:29

Well, looks like Gamersgate version installs Version 1.1 and it needs a (StarForce) Serial Key.
And guess what?
GG's currently out of Serial keys…

EDIT — Sept 1, 2012:
Should note, I got my key from GG and my game activated earlier in the week. Yay.

ortucis August 26th, 2012 01:01

Quote:

Originally Posted by Wesp5 (Post 1061153379)
Okay, because of my Bloodlines work I haven't got too much time for this

That's a shame. This game needs patches more than Bloodlines.

Well, thanks for uploading this one.

Wesp5 August 26th, 2012 23:44

Quote:

Originally Posted by ortucis (Post 1061158708)
That's a shame. This game needs patches more than Bloodlines.

I don't have time to replay the game right now, but if you report a bug here and describe it well enough, I may still be able to fix it. Providing saved games to show the issues would be great as well!


All times are GMT +2. The time now is 08:37.

Powered by vBulletin® Version 3.8.8
Copyright ©2000 - 2014, vBulletin Solutions, Inc.
Copyright by RPGWatch